%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           halberd
Version:        0.2.4
Release:        4%{?dist}
Summary:        Tool to discover HTTP load balancers

Group:          Applications/Internet
License:        GPLv2+
URL:            http://halberd.superadditive.com
Source0:        http://halberd.superadditive.com/dist/%{name}-%{version}.tar.gz
Patch0:         %{name}-sslwrap.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel


%description
Halberd discovers HTTP load balancers. It is useful for web application
security auditing and for load balancer configuration testing.

%prep
%setup -q
%patch0 -p1 -b .sslwrap


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}/usr/man/man1/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

 
%clean
rm -rf %{buildroot}


%check
%{__python} setup.py test


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README THANKS
%{_mandir}/man*/*.*
%{_bindir}/%{name}
%{python_sitelib}/Halberd/
%{python_sitelib}/%{name}*.egg-info


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Apr 02 2011 Fabian Affolter <fabian@bernewireless.net> - 0.2.4-4
- Rebuilt

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 29 2010 Fabian Affolter <fabian@bernewireless.net> - 0.2.4-2
- NEWS removed
- Added patch for ssl.wrap

* Sun Aug 29 2010 Fabian Affolter <fabian@bernewireless.net> - 0.2.4-1
- hashlib patch removed, is upstream now
- Updated to new upstream release 0.2.4

* Sat Aug 14 2010 Fabian Affolter <fabian@bernewireless.net> - 0.2.3-3
- Added patch to replace deprecated sha module

* Sun Jun 20 2010 Fabian Affolter <fabian@bernewireless.net> - 0.2.3-2
- Put the man page in the right place
- Changed from define to global
- Added files to doc

* Wed Apr 01 2009 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> - 0.2.3-1
- New upstream release

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.2-4
- Rebuild for Python 2.6

* Thu Jul 31 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.2.2-3
- fix license tag

* Wed May 30 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.2-1
- New upstream release

* Mon May 28 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.1-3
- Bump release for rebuild

* Thu May 03 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.1-1
- Initial build
